View Issue Details

IDProjectCategoryView StatusLast Update
0000954OpenMPT[All Projects] libopenmptpublic2017-08-22 12:58
ReportermanxAssigned Tomanx 
PriorityhighSeverityblockReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000954: Clarify libopenmpt 0.2 changelog regarding which revisions/patches are security fixes
Description

Review all revisions since 0.2.6774-beta20 and update the changelog regarding which revisions (or subset of revisions) are security fixes.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

manx

manx

2017-08-22 12:58

administrator   ~0003190

Well, this is not "fixed" in the original context of this issue, however we now have a proper release update RSS feed https://lib.openmpt.org/libopenmpt/feed.xml as well as a security and release announcement mailing list https://lists.sourceforge.net/lists/listinfo/modplug-libopenmpt-announce .
Additionally, we have security backport branches in the subversion repository for the maintained versions at https://source.openmpt.org/browse/openmpt/branches/libopenmpt-0.2.7386-beta20.3-secfix/ and https://source.openmpt.org/browse/openmpt/branches/libopenmpt-0.2.7561-beta20.5-secfix/ which contain more to the point commit messages than the original commits.
Retro-actively adding [Sec] tags to the 0.2 changelog is very probably not required, thus closing this issue now.

Issue History

Date Modified Username Field Change
2017-05-13 14:43 manx New Issue
2017-05-29 09:51 manx Assigned To => manx
2017-05-29 09:51 manx Severity minor => block
2017-05-29 09:51 manx Status new => assigned
2017-08-22 12:58 manx Status assigned => resolved
2017-08-22 12:58 manx Resolution open => fixed
2017-08-22 12:58 manx Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2017-08-22 12:58 manx Note Added: 0003190